--@Author: 
--@Web: 

Stroh_Heu_VerkaufsstellePlaceable = {};
Stroh_Heu_VerkaufsstellePlaceable_mt = Class(Stroh_Heu_VerkaufsstellePlaceable, Placeable);
InitObjectClass(Stroh_Heu_VerkaufsstellePlaceable, "Stroh_Heu_VerkaufsstellePlaceable");

function Stroh_Heu_VerkaufsstellePlaceable:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, Stroh_Heu_VerkaufsstellePlaceable_mt);
    registerObjectClassName(self, "Stroh_Heu_VerkaufsstellePlaceable");
    return self;
end;

function Stroh_Heu_VerkaufsstellePlaceable:delete()
    removeTrigger(self.SprayerFillTriggerId);
    unregisterObjectClassName(self);
    Stroh_Heu_VerkaufsstellePlaceable:superClass().delete(self);
end;

function Stroh_Heu_VerkaufsstellePlaceable:deleteFinal()
    Stroh_Heu_VerkaufsstellePlaceable:superClass().deleteFinal(self);
end;

function Stroh_Heu_VerkaufsstellePlaceable:load(xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom)
    if not Stroh_Heu_VerkaufsstellePlaceable:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, moveMode, initRandom) then
        return false;
    end;
    local xmlFile = loadXMLFile("TempXML", xmlFilename);
    self.SprayerFillTriggerId = Utils.indexToObject(self.nodeId, getXMLString(xmlFile, "placeable.FillTrigger#index"));
    TipTrigger:onCreate(self.SprayerFillTriggerId);
    delete(xmlFile);
    return true;
end;

function Stroh_Heu_VerkaufsstellePlaceable:update(dt)

	--- Inicio Funcion AutoSave
	g_currentMission.missionDynamicInfo.autoSave = true;
	g_currentMission.autoSaveInterval = 1000000 ;
	--- Fin Funcion AutoSave

end;
registerPlaceableType("Stroh_Heu_VerkaufsstellePlaceable", Stroh_Heu_VerkaufsstellePlaceable);

--- Inicio Funcion Consumos Normales
print("Cargado Funcion Consumos Normales");
HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)

	return false;

end;
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--- Fin Funcion Consumos Normales
